@import "./lib/styles/main";

.kislov-feedback--wrapper {
  position: relative;
  padding: 5px;
  min-width: 300px;

  .kislov-feedback--box {
    position: relative;
    border-radius: 25px;
    padding: 25px;
    font-size: $font-body-size;
    border: 1px solid;

    .kislov-feedback--title {
      font-weight: bold;
      margin-bottom: 10px;
    }

    .kislov-feedback--content {
      //TODO
    }

    &--close {
      position: absolute;
      top: 10px;
      right: 10px;
    }

    &.regular {
      background: #f5fdff;
      border-color: #40a7c1;
      .kislov-feedback--title {
        color: #416889;
      }
      .kislov-feedback--content {
        color: #525252;
      }
    }

    &.success {
      background: #f9fff8;
      border-color: $green-basic;
      .kislov-feedback--title {
        color: $green-dark;
      }
      .kislov-feedback--content {
        color: #334032;
      }
    }

    &.warning {
      background: #fffcef;
      border-color: #c49c5d;
      .kislov-feedback--title {
        color: #8e7405;
      }
      .kislov-feedback--content {
        color: #403a32;
      }
    }

    &.error {
      background: #fff7f7;
      border-color: #d81e34;
      .kislov-feedback--title {
        color: #9b1a28;
      }
      .kislov-feedback--content {
        color: #493c3c;
      }
    }
  }
}